//
//  WRHAlertView.h
//  22221
//
//  Created by cheyoo on 2016/11/15.
//  Copyright © 2016年 cheyoo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
@class WRHAlertView;
@protocol WRHAlertViewDelegate <NSObject>

-(void)alertView:(WRHAlertView*)alertView didClickButtonAtIndex:(NSInteger)index;

@end
@interface WRHAlertView :UIView
@property(nonatomic,strong) id<WRHAlertViewDelegate>delegate;
@property(nonatomic,copy)NSString *title;//标题

@property(nonatomic,strong)NSArray<NSString*> *messages;//消息
//可以通过代理方法拿到对应的按钮，再通过按钮上的文字，设置点击事情；
@property(nonatomic,strong)NSArray<NSString*> *buttonTitles;//按钮文字
+(instancetype)alertViewWithTitle:(NSString*)title messages:(NSArray<NSString*>*)messages ButtonsWithTitle:(NSArray<NSString*>*)buttonTitles;
-(void)activityIndicatorShow;//用系统的菊花

//快捷使用菊花
+(void)showHUDMessage:(NSString*)message;//仿HUD;
//在进入下一个控制器的时候可以在dealloc方法中，将弹框移除
+(void)dissmiss;

/**设置颜色与字体,可以不设置，使用默认的颜色设置
 一旦设置之后，后面所有的弹框都会使用你设置的颜色与字体，数量不够的会使用默认的字体和颜色*/
-(void)setTitleColor:(UIColor*)titileColor AndTitleFont:(UIFont*)TitleFont;
-(void)setMesageColor:(NSArray<UIColor*>*)messageColors AndMesageFont:(NSArray<NSFont*>*)messageFonts;
-(void)setButtonColor:(NSArray<UIColor*>*)buttonColors AndButtonFont:(NSArray<NSFont*>*)buttonFonts;
/**在设置颜色和字体之后，之后的弹框想恢复默认的颜色和字体，可以使用这个方法*/
+(void)useDefualTitlesAndColors;
@end
