//
//  WRHAlertView.h
//  22221
//
//  Created by cheyoo on 2016/11/15.
//  Copyright © 2016年 cheyoo. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
@class WRHAlertView;
@protocol WRHAlertViewDelegate <NSObject>

-(void)alertView:(WRHAlertView*)alertView didClickButtonAtIndex:(NSInteger)index;

@end
@interface WRHAlertView :UIView
@property(nonatomic,strong) id<WRHAlertViewDelegate>delegate;
@property(nonatomic,copy)NSString *title;//标题

@property(nonatomic,strong)NSArray<NSString*> *messages;//消息
//可以通过代理方法拿到对应的按钮，再通过按钮上的文字，设置点击事情；
@property(nonatomic,strong)NSArray<NSString*> *buttonTitles;//按钮文字
+(instancetype)alertViewWithTitle:(NSString*)title messages:(NSArray<NSString*>*)messages ButtonsWithTitle:(NSArray<NSString*>*)buttonTitles;
-(void)activityIndicatorShow;//用系统的菊花


+(void)showHUDMessage:(NSString*)message;//仿HUD;
//將彈框移除
+(void)dissmiss;
@end
